<?php

require_once get_stylesheet_directory() . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );

function my_theme_register_required_plugins() {

	$plugins = array(
		array(
			'name'        => 'Shortcodes Ultimate',
			'slug'        => 'shortcodes-ultimate',
			'version'     => '4.9.9',
			'is_callable' => 'shortcodes_ultimate',
		),
		array(
			'name'    => 'Shortcodes Ultimate: Add-on',
			// example slug: 'shortcodes-ultimate-extra'
			'slug'    => 'shortcodes-ultimate-addon-slug',
			'version' => '1.5.0',
			'source'  => get_stylesheet_directory() . '/shortcodes-ultimate-addon.zip',
		),
	);

	// http://tgmpluginactivation.com/configuration/#h-plugin-parameters
	$config = array(
		'id' => 'my_theme',
	);

	tgmpa( $plugins, $config );

}
